1. Data Parsing
FinEye Financial Analysis Suite
  • Bank Statement Analysis
    • Generate Session ID
      POST
    • Upload
      POST
    • Start Analysis
      POST
    • Check Status
      POST
    • Retrieve Report
      GET
  • Data Parsing
    • Generate Session ID
      POST
    • Upload
      POST
    • Pre Analysis
      POST
    • Data Parsing
      POST
    • Pre Analysis with Data Parsing
      POST
    • Check Status
      POST
    • Retrieve Report
      GET
  • Account Aggregator
    • Consent Generate URL
      POST
    • FIU Fetch Consent Customer
      GET
    • FIU Fetch Consent
      GET
    • Generate Session from Consent ID
      POST
    • Fetch Session Data
      POST
  • GST Analysis
    • Generate Session ID
      POST
  1. Data Parsing

Upload

BSA Prod
https://analysis.fineye.co
BSA Prod
https://analysis.fineye.co
POST
https://analysis.fineye.co
/upload
Upload one or more PDF documents for analysis. Uploaded documents are tied to the provided session ID.

Response Codes#

Status CodesBillableMessage
OKRESNoDocument uploaded successfully
FILNFNoFile not found
SIZEXNoThe uploaded file is larger than the maximum allowed size
INVFTNoInvalid file type
INVPWNoInvalid file password
NOPWDNoNo password provided for password protected file
NOB16NoUnable to decode base16 password
SESEXNoExpired sessionId
INSESNoInvalid sessionId
ISERRNoInternal server error
NOPRVNoYour account does not have the required privilege to access this API
AUTHMNoAuthkey missing or invalid
RLEXXNoRequest limit exceeded
IPNTWNoIP address not whitelisted
INVTPNoUploaded files must be of the same type

Request

Header Params

Body Params multipart/form-data

Responses

🟢200upload
application/json
Bodyapplication/json

Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'https://analysis.fineye.co/upload' \
--header 'authKey;' \
--header 'authkey;' \
--form 'session_id=""' \
--form 'consent_text="We confirm that we have obtained the consent of the respective customer to fetch their details by using their Bank Statements and the customer is aware of the purpose for which their data is sought for being processed and have given their consent for the same and such consent is currently valid and not withdrawn."' \
--form 'consent="Y"' \
--form 'file=@"/Users/lt_befisc_t031/Downloads/fwdsetubefisc/259ED8600002.pdf"' \
--form 'pdf_file_password_b16=""'
Response Response Example
{
    "api_category": "Financial Analysis Suite",
    "api_name": "FinEye - Upload",
    "datetime": "2026-01-22 12:46:50.207513",
    "documents": [
        {
            "document_id": "01",
            "filename": "259ED8600002.pdf"
        }
    ],
    "message": "Document uploaded successfully",
    "session_id": "referenceID_wyNwZAfpAEpPlqMSCenk",
    "status": "OKRES",
    "txn_id": "db7638e9-5679-4cc8-9f90-dfce93e0dba3"
}
Modified at 2026-07-03 08:22:18
Previous
Generate Session ID
Next
Pre Analysis
Built with